{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{% block title %}Dynamic Form{% endblock %}</title>
    
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="{% static 'address/js/functions.js' %}"></script>
    <script src="{% static 'address/js/mymap.js' %}"></script>
    
    <link rel="stylesheet" href="{% static 'address/css/addressstyle.css' %}">
    <style>
        ul, #myUL {
          list-style-type: none;
        }
        
        #myUL {
          margin: 0;
          padding: 0;
        }
        
        .box {
          cursor: pointer;
          -webkit-user-select: none; /* Safari 3.1+ */
          -moz-user-select: none; /* Firefox 2+ */
          -ms-user-select: none; /* IE 10+ */
          user-select: none;
        }
        
        .box::before {
          content: "\2610";
          color: black;
          display: inline-block;
          margin-right: 6px;
        }
        
        .check-box::before {
          content: "\2611"; 
          color: dodgerblue;
        }
        
        .nested {
          display: none;
        }
        
        .active {
          display: block;
        }
        </style>
</head>
<body>
    {% include "address\navbar.html" %}
    <div class="container-fluid">
        {% block content %} 
        {% endblock%}
    </div>
    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBPdEij2Z01R6sQuxhkICGUkZGG0dJV4iw&callback=myMap"></script>
    
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
    
    <script>
        var toggler = document.getElementsByClassName("box");
        var i;
        
        for (i = 0; i < toggler.length; i++) {
          toggler[i].addEventListener("click", function() {
            this.parentElement.querySelector(".nested").classList.toggle("active");
            this.classList.toggle("check-box");
          });
        }
    </script>
</body>
</html>